Debian Bug report logs - #521148
openjade: Segfault on Kerneldoc from 2.6.29

version graph

Package: openjade; Maintainer for openjade is Neil Roeth <neil@debian.org>; Source for openjade is src:openjade.

Reported by: Henne <henrik@nachtwindheim.de>

Date: Wed, 25 Mar 2009 09:09:01 UTC

Severity: normal

Found in version openjade/1.4devel1-19

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Neil Roeth <neil@debian.org>:
Bug#521148; Package openjade. (Wed, 25 Mar 2009 09:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Henne <henrik@nachtwindheim.de>:
New Bug report received and forwarded. Copy sent to Neil Roeth <neil@debian.org>. (Wed, 25 Mar 2009 09:09:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Henne <henrik@nachtwindheim.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: openjade: Segfault on Kerneldoc from 2.6.29
Date: Wed, 25 Mar 2009 10:06:23 +0100
Package: openjade
Version: 1.4devel1-19
Severity: normal

I tried to build the Docbooks from the kernel 2.6.29 and tapped into a segfault.

cd ~
mkdir kernel-docs
cd /usr/src/linux-2.6.29
make xmldocs O=~/kernel-docs
cd ~/kernel-docs/Documentation/Docbook

openjade -t tex -d /usr/share/docbook-utils/docbook-utils.dsl#print /usr/share/sgml/declaration/xml.dcl regulator.xml

First comes this errormessage:

:3:E: flow object not accepted by port; only display flow objects accepted

Then the segfault.

I tried also "-t rtf", which brings the same error, but no segfault.


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/1 CPU core)
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/bash

Versions of packages openjade depends on:
ii  libc6                       2.9-4        GNU C Library: Shared libraries
ii  libgcc1                     1:4.3.3-3    GCC support library
ii  libosp5                     1.5.2-6      Runtime library for OpenJade group
ii  libostyle1c2                1.4devel1-19 Runtime libraries for OpenJade
ii  libstdc++6                  4.3.3-3      The GNU Standard C++ Library v3
ii  sgml-base                   1.26         SGML infrastructure and SGML catal

openjade recommends no packages.

Versions of packages openjade suggests:
ii  doc-base                      0.9.1      utilities to manage online documen
ii  sgml-data                     2.0.3      common SGML and XML data

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#521148; Package openjade. (Wed, 25 Mar 2009 11:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Roeth <neil@debian.org>:
Extra info received and forwarded to list. (Wed, 25 Mar 2009 11:24:02 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Neil Roeth <neil@debian.org>
To: Henne <henrik@nachtwindheim.de>, 521148@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Bug#521148: openjade: Segfault on Kerneldoc from 2.6.29
Date: Wed, 25 Mar 2009 07:21:57 -0400
On Mar 25, Henne (henrik@nachtwindheim.de) wrote:
 > Package: openjade
 > Version: 1.4devel1-19
 > Severity: normal
 > 
 > I tried to build the Docbooks from the kernel 2.6.29 and tapped into a segfault.

Thanks for the report, I'll check it out.

-- 
Neil Roeth




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#521148; Package openjade. (Wed, 25 Mar 2009 11:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Roeth <neil@debian.org>:
Extra info received and forwarded to list. (Wed, 25 Mar 2009 11:24:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Neil Roeth <neil@debian.org>:
Bug#521148; Package openjade. (Mon, 04 Jan 2010 06:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Roeth <neil@occamsrazor.net>:
Extra info received and forwarded to list. Copy sent to Neil Roeth <neil@debian.org>. (Mon, 04 Jan 2010 06:06:03 GMT) Full text and rfc822 format available.

Message #20 received at 521148@bugs.debian.org (full text, mbox):

From: Neil Roeth <neil@occamsrazor.net>
To: Henne <henrik@nachtwindheim.de>, 521148@bugs.debian.org
Subject: Re: Bug#521148: openjade: Segfault on Kerneldoc from 2.6.29
Date: Mon, 04 Jan 2010 01:04:06 -0500
Are you still able to reproduce this?  I just tried making the kernel
documentation for 2.6.30 using make-kpkg kernel_doc and it completed with no
errors.  The command below just exits and says nothing needs to be done.

At Wed, 25 Mar 2009 10:06:23 +0100,
Henne wrote:
> 
> Package: openjade
> Version: 1.4devel1-19
> Severity: normal
> 
> I tried to build the Docbooks from the kernel 2.6.29 and tapped into a segfault.
> 
> cd ~
> mkdir kernel-docs
> cd /usr/src/linux-2.6.29
> make xmldocs O=~/kernel-docs
> cd ~/kernel-docs/Documentation/Docbook
> 
> openjade -t tex -d /usr/share/docbook-utils/docbook-utils.dsl#print /usr/share/sgml/declaration/xml.dcl regulator.xml
> 
> First comes this errormessage:
> 
> :3:E: flow object not accepted by port; only display flow objects accepted
> 
> Then the segfault.
> 
> I tried also "-t rtf", which brings the same error, but no segfault.
> 
> 
> -- System Information:
> Debian Release: squeeze/sid
>   APT prefers testing
>   APT policy: (500, 'testing')
> Architecture: i386 (i686)
> 
> Kernel: Linux 2.6.26-1-686 (SMP w/1 CPU core)
> Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)
> Shell: /bin/sh linked to /bin/bash
> 
> Versions of packages openjade depends on:
> ii  libc6                       2.9-4        GNU C Library: Shared libraries
> ii  libgcc1                     1:4.3.3-3    GCC support library
> ii  libosp5                     1.5.2-6      Runtime library for OpenJade group
> ii  libostyle1c2                1.4devel1-19 Runtime libraries for OpenJade
> ii  libstdc++6                  4.3.3-3      The GNU Standard C++ Library v3
> ii  sgml-base                   1.26         SGML infrastructure and SGML catal
> 
> openjade recommends no packages.
> 
> Versions of packages openjade suggests:
> ii  doc-base                      0.9.1      utilities to manage online documen
> ii  sgml-data                     2.0.3      common SGML and XML data
> 
> -- no debconf information
> 




Information forwarded to debian-bugs-dist@lists.debian.org, Neil Roeth <neil@debian.org>:
Bug#521148; Package openjade. (Wed, 27 Jan 2010 23:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Henne <henrik@nachtwindheim.de>:
Extra info received and forwarded to list. Copy sent to Neil Roeth <neil@debian.org>. (Wed, 27 Jan 2010 23:00:04 GMT) Full text and rfc822 format available.

Message #25 received at 521148@bugs.debian.org (full text, mbox):

From: Henne <henrik@nachtwindheim.de>
To: Debian Bug Tracking System <521148@bugs.debian.org>
Subject: Re: Bug #521148: openjade: Segfault on Kerneldoc from 2.6.29
Date: Wed, 27 Jan 2010 23:49:06 +0100
Package: openjade
Version: 1.4devel1-19
Severity: normal


Yes, I am.
I tried also Ubuntu9.10, which has the same version
on x86_64 with the same result.
Also I tracked down a minimal file that causes openjade to segfault:

---------------------------------------------

<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE book PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN" "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd" []>

<book>
	<chapter>
		<glossary/>
	</chapter>
</book>
---------------------------------------------

The command is the same as above.



-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-trunk-686 (SMP w/1 CPU core)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages openjade depends on:
ii  libc6                       2.10.2-2     GNU C Library: Shared libraries
ii  libgcc1                     1:4.4.2-9    GCC support library
ii  libosp5                     1.5.2-8      Runtime library for OpenJade group
ii  libostyle1c2                1.4devel1-19 Runtime libraries for OpenJade
ii  libstdc++6                  4.4.2-9      The GNU Standard C++ Library v3
ii  sgml-base                   1.26         SGML infrastructure and SGML catal

openjade recommends no packages.

Versions of packages openjade suggests:
ii  doc-base                      0.9.5      utilities to manage online documen
ii  sgml-data                     2.0.4      common SGML and XML data

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#521148; Package openjade. (Thu, 28 Jan 2010 02:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Roeth <neil@debian.org>:
Extra info received and forwarded to list. (Thu, 28 Jan 2010 02:18:03 GMT) Full text and rfc822 format available.

Message #30 received at 521148@bugs.debian.org (full text, mbox):

From: Neil Roeth <neil@debian.org>
To: Henne <henrik@nachtwindheim.de>, 521148@bugs.debian.org
Subject: Re: Bug #521148: openjade: Segfault on Kerneldoc from 2.6.29
Date: Wed, 27 Jan 2010 21:15:46 -0500
Thanks for the update and the minimal test case.  This, too, does not segfault
on my i386 machine.  I'll get onto a x86_64 and try it out.  If you have a
moment before I get to that, please try this command:

onsgmls -gues /usr/share/sgml/declaration/xml.dcl test.xml

If that segfaults, that means the issue is actually in OpenSP, which provides
the parsing libraries upon which OpenJade depends.

At Wed, 27 Jan 2010 23:49:06 +0100,
Henne wrote:
> 
> Package: openjade
> Version: 1.4devel1-19
> Severity: normal
> 
> 
> Yes, I am.
> I tried also Ubuntu9.10, which has the same version
> on x86_64 with the same result.
> Also I tracked down a minimal file that causes openjade to segfault:
> 
> ---------------------------------------------
> 
> <?xml version="1.0" encoding="UTF-8"?>
> <!DOCTYPE book PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN" "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd" []>
> 
> <book>
> 	<chapter>
> 		<glossary/>
> 	</chapter>
> </book>
> ---------------------------------------------
> 
> The command is the same as above.
> 
> 
> 
> -- System Information:
> Debian Release: squeeze/sid
>   APT prefers testing
>   APT policy: (500, 'testing')
> Architecture: i386 (i686)
> 
> Kernel: Linux 2.6.32-trunk-686 (SMP w/1 CPU core)
> Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/bash
> 
> Versions of packages openjade depends on:
> ii  libc6                       2.10.2-2     GNU C Library: Shared libraries
> ii  libgcc1                     1:4.4.2-9    GCC support library
> ii  libosp5                     1.5.2-8      Runtime library for OpenJade group
> ii  libostyle1c2                1.4devel1-19 Runtime libraries for OpenJade
> ii  libstdc++6                  4.4.2-9      The GNU Standard C++ Library v3
> ii  sgml-base                   1.26         SGML infrastructure and SGML catal
> 
> openjade recommends no packages.
> 
> Versions of packages openjade suggests:
> ii  doc-base                      0.9.5      utilities to manage online documen
> ii  sgml-data                     2.0.4      common SGML and XML data
> 
> -- no debconf information
> 




Information forwarded to debian-bugs-dist@lists.debian.org, Neil Roeth <neil@debian.org>:
Bug#521148; Package openjade. (Thu, 28 Jan 2010 16:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Henne <henrik@nachtwindheim.de>:
Extra info received and forwarded to list. Copy sent to Neil Roeth <neil@debian.org>. (Thu, 28 Jan 2010 16:42:04 GMT) Full text and rfc822 format available.

Message #35 received at 521148@bugs.debian.org (full text, mbox):

From: Henne <henrik@nachtwindheim.de>
To: Debian Bug Tracking System <521148@bugs.debian.org>
Subject: openjade: Segfault on Kerneldoc from 2.6.29
Date: Thu, 28 Jan 2010 17:39:07 +0100
Package: openjade
Version: 1.4devel1-19
Severity: normal

I tried onsgmls with that minimal testcase, but get no segfault.
Also I tried ionsgmls with regulator.xml from Kerneldoc and
theres no segfault, too.

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-trunk-686 (SMP w/1 CPU core)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages openjade depends on:
ii  libc6                       2.10.2-2     GNU C Library: Shared libraries
ii  libgcc1                     1:4.4.2-9    GCC support library
ii  libosp5                     1.5.2-8      Runtime library for OpenJade group
ii  libostyle1c2                1.4devel1-19 Runtime libraries for OpenJade
ii  libstdc++6                  4.4.2-9      The GNU Standard C++ Library v3
ii  sgml-base                   1.26         SGML infrastructure and SGML catal

openjade recommends no packages.

Versions of packages openjade suggests:
ii  doc-base                      0.9.5      utilities to manage online documen
ii  sgml-data                     2.0.4      common SGML and XML data

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#521148; Package openjade. (Fri, 29 Jan 2010 02:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Roeth <neil@debian.org>:
Extra info received and forwarded to list. (Fri, 29 Jan 2010 02:36:03 GMT) Full text and rfc822 format available.

Message #40 received at 521148@bugs.debian.org (full text, mbox):

From: Neil Roeth <neil@debian.org>
To: Henne <henrik@nachtwindheim.de>, 521148@bugs.debian.org
Subject: Re: Bug#521148: openjade: Segfault on Kerneldoc from 2.6.29
Date: Thu, 28 Jan 2010 21:33:36 -0500
Thanks, that helps.

At Thu, 28 Jan 2010 17:39:07 +0100,
Henne wrote:
> 
> Package: openjade
> Version: 1.4devel1-19
> Severity: normal
> 
> I tried onsgmls with that minimal testcase, but get no segfault.
> Also I tried ionsgmls with regulator.xml from Kerneldoc and
> theres no segfault, too.
> 
> -- System Information:
> Debian Release: squeeze/sid
>   APT prefers testing
>   APT policy: (500, 'testing')
> Architecture: i386 (i686)
> 
> Kernel: Linux 2.6.32-trunk-686 (SMP w/1 CPU core)
> Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/bash
> 
> Versions of packages openjade depends on:
> ii  libc6                       2.10.2-2     GNU C Library: Shared libraries
> ii  libgcc1                     1:4.4.2-9    GCC support library
> ii  libosp5                     1.5.2-8      Runtime library for OpenJade group
> ii  libostyle1c2                1.4devel1-19 Runtime libraries for OpenJade
> ii  libstdc++6                  4.4.2-9      The GNU Standard C++ Library v3
> ii  sgml-base                   1.26         SGML infrastructure and SGML catal
> 
> openjade recommends no packages.
> 
> Versions of packages openjade suggests:
> ii  doc-base                      0.9.5      utilities to manage online documen
> ii  sgml-data                     2.0.4      common SGML and XML data
> 
> -- no debconf information
> 




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 08:14:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.